import { ConditionTransformer } from '@backstage/plugin-permission-node';
import { EntitiesBatchRequest, EntitiesBatchResponse, EntitiesCatalog, EntitiesRequest, EntitiesResponse, EntityAncestryResponse, EntityFacetsRequest, EntityFacetsResponse, QueryEntitiesRequest, QueryEntitiesResponse } from '../catalog/types';
import { EntityFilter } from '@backstage/plugin-catalog-node';
import { BackstageCredentials, PermissionsService } from '@backstage/backend-plugin-api';
export declare class AuthorizedEntitiesCatalog implements EntitiesCatalog {
    private readonly entitiesCatalog;
    private readonly permissionApi;
    private readonly transformConditions;
    constructor(entitiesCatalog: EntitiesCatalog, permissionApi: PermissionsService, transformConditions: ConditionTransformer<EntityFilter>);
    entities(request: EntitiesRequest): Promise<EntitiesResponse>;
    entitiesBatch(request: EntitiesBatchRequest): Promise<EntitiesBatchResponse>;
    queryEntities(request: QueryEntitiesRequest): Promise<QueryEntitiesResponse>;
    removeEntityByUid(uid: string, options: {
        credentials: BackstageCredentials;
    }): Promise<void>;
    entityAncestry(entityRef: string, options: {
        credentials: BackstageCredentials;
    }): Promise<EntityAncestryResponse>;
    facets(request: EntityFacetsRequest): Promise<EntityFacetsResponse>;
    private findParents;
}
